# synfig::TransformStack Class Reference

`#include <transform.h>`

List of all members.

## Public Member Functions

GUID | get_guid () const
synfig::Vector | perform (const synfig::Vector &x) const
synfig::Vector | unperform (const synfig::Vector &x) const
synfig::Rect | perform (const synfig::Rect &x) const
synfig::Rect | unperform (const synfig::Rect &x) const
void | push (const Transform::Handle &x)
void | pop ()

## Member Function Documentation

synfig::GUID TransformStack::get_guid | ( |  | ) | const

synfig::Vector TransformStack::perform | ( | const synfig::Vector & | x | ) | const

Referenced by perform().

synfig::Vector TransformStack::unperform | ( | const synfig::Vector & | x | ) | const

Referenced by unperform().

synfig::Rect TransformStack::perform | ( | const synfig::Rect & | x | ) | const

References synfig::Rect::get_max(), synfig::Rect::get_min(), and perform().

synfig::Rect TransformStack::unperform | ( | const synfig::Rect & | x | ) | const

References synfig::Rect::get_max(), synfig::Rect::get_min(), and unperform().

void synfig::TransformStack::push | ( | const Transform::Handle & | x | ) | `[inline]`

void synfig::TransformStack::pop | ( |  | ) | `[inline]`

The documentation for this class was generated from the following files:

- transform.h
- transform.cpp